Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.planargraph
Class NodeMap

    java.lang.Object
      com.vividsolutions.jts.planargraph.NodeMap

    public class NodeMap

extends java.lang.Object

A map of `Node`s, indexed by the coordinate of the node.

Version:
  1.7

Constructor Summary
`NodeMap()` Constructs a NodeMap without any Nodes.

Method Summary
`Node` | `add(Node n)` Adds a node to the map, replacing any that is already at that location.
`Node` | `find(Coordinate coord)` Returns the Node at the given location, or null if no Node was there.
`java.util.Iterator` | `iterator()` Returns an Iterator over the Nodes in this NodeMap, sorted in ascending order by angle with the positive x-axis.
`Node` | `remove(Coordinate pt)` Removes the Node at the given location, and returns it (or null if no Node was there).
`java.util.Collection` | `values()` Returns the Nodes in this NodeMap, sorted in ascending order by angle with the positive x-axis.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeMap

    public NodeMap()

  Constructs a NodeMap without any Nodes.

Method Detail

### add

    public Node add(Node n)

  Adds a node to the map, replacing any that is already at that location.

  Returns:
    the added node

### remove

    public Node remove(Coordinate pt)

  Removes the Node at the given location, and returns it (or null if no Node was there).

### find

    public Node find(Coordinate coord)

  Returns the Node at the given location, or null if no Node was there.

### iterator

    public java.util.Iterator iterator()

  Returns an Iterator over the Nodes in this NodeMap, sorted in ascending order by angle with the positive x-axis.

### values

    public java.util.Collection values()

  Returns the Nodes in this NodeMap, sorted in ascending order by angle with the positive x-axis.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD